# Google Dataflow API . v1b3 . projects . jobs . messages

## Instance Methods

Request the job status.

Retrieves the next page of results.

### Method Details

`list(projectId, jobId, pageSize=None, pageToken=None, startTime=None, endTime=None, minimumImportance=None)`

    Request the job status.

    Args:
      projectId: string, A parameter (required)
      jobId: string, A parameter (required)
      pageSize: integer, A parameter
      pageToken: string, A parameter
      startTime: string, A parameter
      endTime: string, A parameter
      minimumImportance: string, A parameter
        Allowed values
          JOB_MESSAGE_DEBUG -
          JOB_MESSAGE_DETAILED -
          JOB_MESSAGE_ERROR -
          JOB_MESSAGE_IMPORTANCE_UNKNOWN -
          JOB_MESSAGE_WARNING -

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String",
        "jobMessages": [
          {
            "messageImportance": "A String",
            "messageText": "A String",
            "id": "A String",
            "time": "A String",
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.